## loci.formats
Class QTWriter

    java.lang.Object
      loci.formats.FormatHandler
          loci.formats.FormatWriter
              loci.formats.QTWriter

public class QTWriter
extends FormatWriter

QTWriter is the file format writer for uncompressed QuickTime movie files.

Field Summary
`protected long` `byteCountOffset` Seek to this offset to update the total number of pixel bytes.
`protected int` `created` Time the file was created.
`protected int` `numBytes` Total number of pixel bytes.
`protected int` `numWritten` Number of planes written.
`protected Vector` `offsets` Vector of plane offsets.
`protected RandomAccessFile` `out` Current file.

Fields inherited from class loci.formats.FormatWriter
`fps`

Fields inherited from class loci.formats.FormatHandler
`chooser, currentId, filters, format, suffixes`

Constructor Summary
`QTWriter()`

Method Summary
`static void` `main(String[] args)`
`void` `save(String id, Image image, boolean last)` Saves the given image to the specified (possibly already open) file.

Methods inherited from class loci.formats.FormatWriter
`getFramesPerSecond, save, setFramesPerSecond, testConvert`

Methods inherited from class loci.formats.FormatHandler
`createFilters, getFileChooser, getFileFilters, getFormat, getSuffixes, isThisType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    protected RandomAccessFile out

  Current file.

### numWritten

    protected int numWritten

  Number of planes written.

### byteCountOffset

    protected long byteCountOffset

  Seek to this offset to update the total number of pixel bytes.

### numBytes

    protected int numBytes

  Total number of pixel bytes.

### offsets

    protected Vector offsets

  Vector of plane offsets.

### created

    protected int created

  Time the file was created.

Constructor Detail

### QTWriter

    public QTWriter()

Method Detail

### save

    public void save(String id,
                     Image image,
                     boolean last)
              throws FormatException,
                     IOException

  Saves the given image to the specified (possibly already open) file. If this image is the last one in the file, the last flag must be set.

  Specified by:
    `save` in class `FormatWriter`
  Throws:
    `FormatException`
    `IOException`

### main

    public static void main(String[] args)
                     throws IOException,
                            FormatException

  Throws:
    `IOException`
    `FormatException`